sc::OneBodyIntCints Class Reference

This implements most one body integrals in the Cints library. More...

`#include <obintcints.h>`

Inheritance diagram for sc::OneBodyIntCints:
[legend]
Collaboration diagram for sc::OneBodyIntCints:
[legend]

## Public Member Functions

| OneBodyIntCints (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralFunction)
void | set_multipole_origin (const Ref< DipoleData > &)
void | set_EdotV_origin (const Ref< EfieldDotVectorData > &)
void | set_Q_origin (const Ref< PointChargeData > &)
void | compute_shell (int, int)
| Computes the integrals between basis functions in the given shell pair. More...
bool | cloneable ()
| Return true if the clone member can be called. More...
Ref< OneBodyInt > | clone ()
| Returns a clone of this. More...
Public Member Functions inherited from sc::OneBodyInt
int | nbasis () const
| Returns the number of basis functions on center one.
int | nbasis1 () const
| Returns the number of basis functions on the center one.
int | nbasis2 () const
| Returns the number of basis functions on the center two.
int | nshell () const
| Return the number of shells on center one.
int | nshell1 () const
| Return the number of shells on the center one.
int | nshell2 () const
| Return the number of shells on the center two.
Ref< GaussianBasisSet > | basis ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis1 ()
| Return the basis set on the center one.
Ref< GaussianBasisSet > | basis2 ()
| Return the basis set on the center two.
const double * | buffer () const
| Returns the buffer where the integrals are placed.
virtual void | reinitialize ()
| This is called for one body integrals that take data to let them know that the data they reference has changed. More...
Integral * | integral () const
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::OneBodyInt
| OneBodyInt (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2=0)
Protected Attributes inherited from sc::OneBodyInt
Integral * | integral_
Ref< GaussianBasisSet > | bs1_
Ref< GaussianBasisSet > | bs2_
double * | buffer_

## Detailed Description

This implements most one body integrals in the Cints library.

It is given a function pointer to the Int1e member that computes the particular integral of interest.

## Member Function Documentation

Ref<OneBodyInt> sc::OneBodyIntCints::clone | ( |  | ) |

virtual

Returns a clone of this.

The default implementation throws an exception.

Reimplemented from sc::OneBodyInt.

bool sc::OneBodyIntCints::cloneable | ( |  | ) |

virtual

Return true if the clone member can be called.

The default implementation returns false.

Reimplemented from sc::OneBodyInt.

void sc::OneBodyIntCints::compute_shell | ( | int | ,
|  | int |
| ) |  |

virtual

Computes the integrals between basis functions in the given shell pair.

Implements sc::OneBodyInt.

The documentation for this class was generated from the following file:

- obintcints.h